summaryrefslogtreecommitdiff
path: root/check_missing_headers.sh
diff options
context:
space:
mode:
authorGeorge Kiagiadakis <george.kiagiadakis@collabora.com>2019-05-29 16:47:11 +0300
committerWim Taymans <wim.taymans@gmail.com>2019-05-31 09:51:30 +0200
commit423f7ed8580e844d10260258b2f927cc01f7bfc7 (patch)
treee26fc14109b15620dd2ad238ca39b25757c504b6 /check_missing_headers.sh
parent9d48021af1ba8e5fe6afb87788d1d9006b054ae4 (diff)
travis: run make install and check for headers that have not been installed
Diffstat (limited to 'check_missing_headers.sh')
-rwxr-xr-xcheck_missing_headers.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/check_missing_headers.sh b/check_missing_headers.sh
new file mode 100755
index 00000000..b8f9ba9f
--- /dev/null
+++ b/check_missing_headers.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# This script will tell you if there are headers in the source tree
+# that have not been installed in $PREFIX
+
+LIST=""
+
+for i in `find spa/include -name '*.h' | sed s#spa/include/##`;
+do
+ [ -f $PREFIX/include/$i ] || LIST="$i $LIST"
+done
+
+for i in `find src/extensions -name '*.h' | sed s#src/#pipewire/#`;
+do
+ [ -f $PREFIX/include/$i ] || LIST="$i $LIST"
+done
+
+for i in `find src/pipewire -name '*.h' -a -not -name '*private.h' | sed s#src/##`;
+do
+ [ -f $PREFIX/include/$i ] || LIST="$i $LIST"
+done
+
+for i in $LIST;
+do
+ echo "$i not installed"
+done
+
+if [ "$LIST" != "" ];
+then
+ exit 1
+fi
+
+exit 0